---
title: Get Settlement List
slug: crypto/get-settlement-list
docTags: 
createdAt: 2025-05-02T10:40:00.252Z
---

API that returns a list of settlements for the client. This API requires access token that can be generated using [Access Token](docId\:HcCaKrQI4shqRFFPCBoiR) API.

A Settlement represents the final amount transferred to the client’s bank account for one or more completed crypto orders.&#x20;

Each settlement object includes the following fields :-

1. `settlementId`: Unique ID of the Settlement.
2. `clientId` : Client ID
3. `minOrderCreateTs`: This is the created timestamp of the oldest order part of this settlement
4. `maxOrderCreateTs`: This is the created timestamp of the most recent order part of this settlement
5. `status` : Status of the settlement. Possible values are `CREATED`, `PROCESSING`, `COMPLETED`, `FAILED`, `REJECTED`.
6. `fiatCurrencyId` : Currency in which the settlement was transferred to the client’s bank account. Example: `aed_ae`.
7. `grossAmount`: Total settlement amount
8. `transferFee`: Bank transfer fee deducted from the settlement amount. This will be `0` if no bank fee was applied.
9. `netReceivedAmount` : Final amount received in the client’s bank account after applicable bank transfer fees.
10. `transferReferenceId`: Bank transfer reference ID for the settlement.
11. `transferTriggeredTs`:Timestamp at which the settlement bank transfer was initiated.
12. `errorReason` : Contains `errorCode` and `errorDesc`. Will be received only in case if status is FAILED. List of possible [SDK Errors](docId:94KYVQwbRSg1DFMLjddbS)&#x20;

:::ApiMethodV2
```json
{
  "name": "Get Settlement Details",
  "method": "GET",
  "url": "https://your-hostname.pay3.app/v1/client/exchange-settlement/list?settlementId={}&requestId={}&gte=2024-07-15&lte=2024-07-15",
  "description": "Get order details by client's request-id",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "3LjxGJCqZzKeICMDOi23s",
        "language": "curl",
        "code": "curl --location 'https://your-hostname.pay3.app/v1/client/exchange-settlement/list?settlementId={}&requestId={}&fromDate=2024-07-15&toDate=2024-07-15' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--header 'client-id: zyx' \\\n--header 'access-token: ACCESS-TOKEN-IN-JWT'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "3LjxGJCqZzKeICMDOi23s"
  },
  "results": {
    "languages": [
      {
        "id": "GC_lbEEV7Jo_hgFNI1cHK",
        "language": "200",
        "code": "{\n\"exchange-settlements\": [{\n    \"settlementId\": \"1234\",\n    \"clientId\" : \"zyx\",\n    \"minOrderCreateTs\" : \" \",\n    \"maxOrderCreateTs\" : \" \" ,\n    \"status\": \"\", // CREATED, PROCESSING, COMPLETED, FAILED, REJECTED\n    \"fiatCurrencyId\": \"aed_ae\", \n    \"netReceivedAmount\" : \" \",\n    \"grossAmount\" : \" \",\n    \"transferFee\" : \"\",\n    \"transferReferenceId\": \"\",\n    \"transferTriggeredTs\": \"\"\n    },\n    {\n    \"settlementId\": \"7896\",\n    \"clientId\" : \"zyx\",\n    \"minOrderCreateTs\" : \" \",\n    \"maxOrderCreateTs\" : \" \" ,\n    \"status\": \"\", // CREATED, PROCESSING, COMPLETED, FAILED, REJECTED\n    \"fiatCurrencyId\": \"aed_ae\", \n    \"netReceivedAmount\": \"\", \n    \"grossAmount\" : \" \",\n    \"transferFee\" : \"\",\n    \"transferReferenceId\": \"\",\n    \"transferTriggeredTs\": \"\"\n    }]\n}",
        "customLabel": ""
      },
      {
        "id": "Ybev9LI4TwGz-n2zW-919",
        "language": "401",
        "code": "{\"error\":\"Client verification failed\"}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GC_lbEEV7Jo_hgFNI1cHK"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "settlementId",
        "kind": "optional",
        "type": "string",
        "description": "Unique ID of the Settlement.",
        "": "optional"
      },
      {
        "name": "requestId",
        "kind": "optional",
        "type": "string",
        "description": "Request Id is the unique id that was passed by your application while creating the order.",
        "": "Request Id is the unique id that was passed by your application while creating the order."
      },
      {
        "name": "fromDate",
        "kind": "optional",
        "type": "string",
        "description": "Return settlements created on or after this date. Format: YYYY-MM-DD.",
        "": "fromDate"
      },
      {
        "name": "toDate",
        "kind": "optional",
        "type": "string",
        "description": "Return settlements created on or before this date. Format: YYYY-MM-DD.",
        "": "toDate"
      }
    ],
    "headerParameters": [
      {
        "name": "access-token",
        "kind": "required",
        "type": "string",
        "description": "Access token received from Access token API. You can reuse the access token across multiple API calls till it is expired.",
        "children": []
      },
      {
        "name": "clientId",
        "kind": "required",
        "type": "string",
        "description": "Client Id",
        "": "required"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-settlement-details",
  "legacyHash": "S47PRCosdcg6c9bw46JEG"
}
```
:::

***

